// Creating view object process .hbs template
var view = new View({
  'filterKeys': true
});

view.registerHelper('showParameter', function(parameter) {
  var ctx = {
    'parameter': parameter,
    'icons': model.data.icons
  };
  switch(parameter.type) {
  case 'bool':
    return view.template.parameterBool(ctx);
  default:
    return;
  }
});

view.on('click', '#btn-uninstall', function() {
  ruby.send('uninstall_product', [model.data.productID]);
});

view.on('click', '.btn-toggle', function() {
  var btn = $(this);
  var name = btn.attr('name');
  var value = btn.val();
  var newValue = value === 'true' ? 'false' : 'true';
  var pid = model.data.productID;
  ruby.send('update_product_parameter', [name, newValue, pid])
    .done( function() {
      view.refresh();
    });
});

view.refresh();
