# coding: utf-8

require 'sketchup.rb'
require 'extensions.rb'

module F3d
  module FlexTools
    PLUGIN_NAME = 'FlexTools'.freeze
    FLEXTOOLS_VERSION  = '2.15.1'.freeze

    ex = SketchupExtension.new(PLUGIN_NAME, 'f3d_flextools/main')
    ex.description = 'FlexTools speed up modeling time with an expandable set of Dynamic Components and Plugins.' +
    ' FlexZapper, FlexWindow, FlexDoor, FlexSlat... '
    ex.version = FLEXTOOLS_VERSION
    ex.copyright = '2024 FlexTools.cc'
    ex.creator = 'FlexTools.cc'
    Sketchup.register_extension(ex, true)
  end
end
